Module java.base
Package java.lang

## Class OutOfMemoryError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.VirtualMachineError
      - - java.lang.OutOfMemoryError

All Implemented Interfaces:
  Serializable

    public class OutOfMemoryError
    extends VirtualMachineError

Thrown when the Java Virtual Machine cannot allocate an object because it is out of memory, and no more memory could be made available by the garbage collector. `OutOfMemoryError` objects may be constructed by the virtual machine as if suppression were disabled and/or the stack trace was not writable.

Since:
  1.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OutOfMemoryError()` Constructs an `OutOfMemoryError` with no detail message.
`OutOfMemoryError(String s)` Constructs an `OutOfMemoryError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### OutOfMemoryError

    public OutOfMemoryError()

Constructs an `OutOfMemoryError` with no detail message.

#### OutOfMemoryError

    public OutOfMemoryError(String s)

Constructs an `OutOfMemoryError` with the specified detail message.

Parameters:
  `s` - the detail message.